Debian Bug report logs - #497693
libthread-pool-simple-perl: FTBFS in lenny: build times out

version graph

Package: libthread-pool-simple-perl; Maintainer for libthread-pool-simple-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libthread-pool-simple-perl is src:libthread-pool-simple-perl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 3 Sep 2008 15:24:02 UTC

Severity: serious

Tags: confirmed, patch

Found in version 0.23-2

Fixed in version libthread-pool-simple-perl/0.23-3

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=27385

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Wed, 3 Sep 2008 17:17:43 +0200
Package: libthread-pool-simple-perl
Version: 0.23-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080903 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in a lenny chroot, your package failed
to build on i386.

Erm, I was sure to have reported this already, but apparently I didn't.

t/1 and t/3 both block during the build.

Relevant part:
> make[1]: Entering directory `/build/user-libthread-pool-simple-perl_0.23-2-amd64-IZ6lTn/libthread-pool-simple-perl-0.23-2'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> E: Caught signal 'Terminated': terminating immediately
> t/1....dubious
> 	Test returned status 0 (wstat 15, 0xf)
> t/2....ok
> t/3....dubious
> 	Test returned status 0 (wstat 15, 0xf)
> t/4....ok
> Failed Test Stat Wstat Total Fail  List of Failed
> -------------------------------------------------------------------------------
> t/1.t          0    15    ??   ??  ??
> t/3.t          0    15    ??   ??  ??
> Failed 2/4 test scripts. -2/903 subtests failed.
> Files=4, Tests=903, 24684 wallclock secs ( 3.66 cusr +  0.24 csys =  3.90 CPU)
> Failed 2/4 test programs. -2/903 subtests failed.
> make[1]: *** [test_dynamic] Error 255

The full build log is available from:
   http://newpeople.debian.org/~lucas/logs/2008/09/03

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in lenny before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 497693@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 497693@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Wed, 3 Sep 2008 18:45:12 +0200
[Message part 1 (text/plain, inline)]
On Wed, 03 Sep 2008 17:17:43 +0200, Lucas Nussbaum wrote:

> During a rebuild of all packages in a lenny chroot, your package failed
> to build on i386.
> Erm, I was sure to have reported this already, but apparently I didn't.

In fact you did:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487013
(or, as long as rietz is b0rked:
http://bugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=487013 )
but I closed it after neither Damyan nor me could reproduce it.
 
> t/1 and t/3 both block during the build.

Dam and me have both run some tests in lenny and sid chroots now;
_sometimes_ a test hangs, most of the time they pass *sigh*


I'm afraid we need some new ideas ...


Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Various Artists: Joaquin Turina Fandanguillo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 497693@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 497693@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Wed, 3 Sep 2008 19:25:39 +0200
[Message part 1 (text/plain, inline)]
On Wed, 03 Sep 2008 19:01:32 +0200, Lucas Nussbaum wrote:

> > > Erm, I was sure to have reported this already, but apparently I didn't.
> > In fact you did:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487013
> Indeed. But you also never Cced me during the discussion ;)

Oops, sorry!
 
> > > t/1 and t/3 both block during the build.
> > Dam and me have both run some tests in lenny and sid chroots now;
> > _sometimes_ a test hangs, most of the time they pass *sigh*
> I'm not really into perl threads, unfortunately. 

Me neither ...

> All I can say is that
> t/2 also just failed, so t/1 and t/3 aren't the only affected bugs.

I just run the tests 100 times (in my normal environment) and they
all passed. Mysterious.

Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Fred McDowell: Some day baby
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=27385. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 19:54:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 497693@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 497693@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Wed, 3 Sep 2008 20:22:20 +0300
tag 497693 confirmed
thanks

On Wed, Sep 03, 2008 at 05:17:43PM +0200, Lucas Nussbaum wrote:
> Package: libthread-pool-simple-perl
> Version: 0.23-2
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20080903 qa-ftbfs
> Justification: FTBFS on i386
 
> During a rebuild of all packages in a lenny chroot, your package failed
> to build on i386.
> 
> Erm, I was sure to have reported this already, but apparently I didn't.

Sure you did, twice actually. They were just closed as unreproducible
and have been archived since. See #427163 and #487013.

> t/1 and t/3 both block during the build.

I can reproduce the t/3.t hang quite easily on both an SMP amd64/sid
Xen host with an Etch kernel, and an i386/lenny uniprocessor host 
with the Lenny kernel (2.6.26+15).

It would seem to be related to fakeroot, just running 'fakeroot make
test' hangs for me more than half of the time. It's evading strace, so
it's hard to say what exactly is hanging. The output from 3.t is just
one line before the hang:

 sid% fakeroot perl -Iblib/lib -Iblib/arch t/3.t
 ok 1 - use Thread::Pool::Simple;

The test suite is run in the install target. I think just moving it to
the build target so it's run without fakeroot would probably fix this.
-- 
Niko Tyni   ntyni@debian.org




Tags added: confirmed Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 20:00:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 497693@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: gregor herrmann <gregoa@debian.org>
Cc: 497693@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Wed, 3 Sep 2008 19:01:32 +0200
[Message part 1 (text/plain, inline)]
On 03/09/08 at 18:45 +0200, gregor herrmann wrote:
> On Wed, 03 Sep 2008 17:17:43 +0200, Lucas Nussbaum wrote:
> 
> > During a rebuild of all packages in a lenny chroot, your package failed
> > to build on i386.
> > Erm, I was sure to have reported this already, but apparently I didn't.
> 
> In fact you did:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487013
> (or, as long as rietz is b0rked:
> http://bugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=487013 )
> but I closed it after neither Damyan nor me could reproduce it.

Indeed. But you also never Cced me during the discussion ;)

> > t/1 and t/3 both block during the build.
> 
> Dam and me have both run some tests in lenny and sid chroots now;
> _sometimes_ a test hangs, most of the time they pass *sigh*

I'm not really into perl threads, unfortunately. All I can say is that
t/2 also just failed, so t/1 and t/3 aren't the only affected bugs.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 497693@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 497693@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Thu, 4 Sep 2008 08:44:41 +0300
tag 497693 patch
thanks

On Wed, Sep 03, 2008 at 08:22:20PM +0300, Niko Tyni wrote:
> On Wed, Sep 03, 2008 at 05:17:43PM +0200, Lucas Nussbaum wrote:
> > Package: libthread-pool-simple-perl
> > Version: 0.23-2
> > Severity: serious

> > t/1 and t/3 both block during the build.

> It would seem to be related to fakeroot, just running 'fakeroot make
> test' hangs for me more than half of the time.

/usr/share/doc/fakeroot/README reads:

 fakeroot can be built to either use SYSV IPC or TCP for message passing.

 Cases for which the SYSV IPC version fails or causes problems but for
 which fakeroot-tcp has been observed to work well include the items
 listed below.

   * Multithreaded applications (using pthread)
   * Running under realtime-preempt kernel

Indeed, I can't get the tests to hang with fakeroot-tcp.

> The test suite is run in the install target. I think just moving it to
> the build target so it's run without fakeroot would probably fix this.

Adding the patch tag based on the above evidence.
-- 
Niko




Tags added: patch Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Thu, 04 Sep 2008 05:48:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #41 received at 497693@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Niko Tyni <ntyni@debian.org>
Cc: 497693@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Thu, 4 Sep 2008 08:04:01 +0200
On 04/09/08 at 08:44 +0300, Niko Tyni wrote:
> > The test suite is run in the install target. I think just moving it to
> > the build target so it's run without fakeroot would probably fix this.
> 
> Adding the patch tag based on the above evidence.

Yup, I confirm that the tests pass when run outside fakeroot. Cool :-)
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Message #44 received at 497693@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: 497693@bugs.debian.org, 497693-submitter@bugs.debian.org
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Thu, 4 Sep 2008 10:25:36 +0300
[Message part 1 (text/plain, inline)]
-=| Niko Tyni, Wed, Sep 03, 2008 at 08:22:20PM +0300 |=-
> > t/1 and t/3 both block during the build.
> 
> I can reproduce the t/3.t hang quite easily on both an SMP amd64/sid
> Xen host with an Etch kernel, and an i386/lenny uniprocessor host 
> with the Lenny kernel (2.6.26+15).
> 
> It would seem to be related to fakeroot, just running 'fakeroot make
> test' hangs for me more than half of the time. It's evading strace, so
> it's hard to say what exactly is hanging. The output from 3.t is just
> one line before the hang:
> 
>  sid% fakeroot perl -Iblib/lib -Iblib/arch t/3.t
>  ok 1 - use Thread::Pool::Simple;

Now, is this
 (1) a bug in fakeroot
 (2) a bug in the package
 (3) the state of the world - threads being funky under fakeroot

Attached is the script I used to test. should be run in the package 
directory, after "perl Makefile.PL". If there is an argument given, 
runs the test under fakeroot, otherwise not. Requires the timelimit 
utility, available in the `timelimit' package.

The default time limit is 10 seconds. On my system the test takes just 
under 5. Adjust to fit your environment.

(!) Beware that in cases when the test fails, some stale processes may 
be left - both perl interpreters and faked-sysv ones, taking up 
non-trivial amounts of memory.

Results here:
 $ sh threadtest.sh 100
 Run 100: 100 OK, 0 not OK
 $ sh threadtest.sh 20 fakeroot
 Run 20: 8 OK, 12 not OK
 $ ps a|grep [p]erl|wc -l
 1
 $ ps a|grep [f]aked-sysv|wc -l
 1
 $ killall faked-sysv
 $ ps a|grep [p]erl|wc -l
 0
 $ ps a|grep [f]aked-sysv|wc -l
 0

-- 
dam            JabberID: dam@jabber.minus273.org
[threadtest.sh (application/x-sh, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#497693. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Message #50 received at 497693@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 497693@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#497693: libthread-pool-simple-perl: FTBFS in lenny: build times out
Date: Thu, 4 Sep 2008 10:35:46 +0300
[Message part 1 (text/plain, inline)]
-=| Niko Tyni, Thu, Sep 04, 2008 at 08:44:41AM +0300 |=-
> > It would seem to be related to fakeroot, just running 'fakeroot 
> > make
> > test' hangs for me more than half of the time.
> 
> /usr/share/doc/fakeroot/README reads:
> 
>  fakeroot can be built to either use SYSV IPC or TCP for message passing.
> 
>  Cases for which the SYSV IPC version fails or causes problems but for
>  which fakeroot-tcp has been observed to work well include the items
>  listed below.
> 
>    * Multithreaded applications (using pthread)
>    * Running under realtime-preempt kernel
> 
> Indeed, I can't get the tests to hang with fakeroot-tcp.

Confirmed:

 $ sh threadtest.sh 100 fakeroot-tcp
 Run 100: 100 OK, 0 not OK

> Adding the patch tag based on the above evidence.

I'll make the changes, upload and ask for unblock.

Niko, thank you very much for your analysis. Very good and useful, as 
always :)

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497693; Package libthread-pool-simple-perl. Full text and rfc822 format available.

Message #53 received at 497693@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 497693@bugs.debian.org, 497693-submitter@bugs.debian.org
Subject: Bug in libthread-pool-simple-perl fixed in revision 24797
Date: Thu, 04 Sep 2008 07:44:33 +0000
tag 497693 + pending
thanks

Some bugs are closed in revision 24797
by Damyan Ivanov (dmn)

Commit message:

debian/rules: move test suite from install to build targets.
Fixes a FTBFS on architectures using fakeroot to run the install target
Closes: #497693




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 04 Sep 2008 07:45:19 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#497693. Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 497693-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 497693-close@bugs.debian.org
Subject: Bug#497693: fixed in libthread-pool-simple-perl 0.23-3
Date: Thu, 04 Sep 2008 09:18:31 +0000
Source: libthread-pool-simple-perl
Source-Version: 0.23-3

We believe that the bug you reported is fixed in the latest version of
libthread-pool-simple-perl, which is due to be installed in the Debian FTP archive:

libthread-pool-simple-perl_0.23-3.diff.gz
  to pool/main/libt/libthread-pool-simple-perl/libthread-pool-simple-perl_0.23-3.diff.gz
libthread-pool-simple-perl_0.23-3.dsc
  to pool/main/libt/libthread-pool-simple-perl/libthread-pool-simple-perl_0.23-3.dsc
libthread-pool-simple-perl_0.23-3_all.deb
  to pool/main/libt/libthread-pool-simple-perl/libthread-pool-simple-perl_0.23-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497693@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libthread-pool-simple-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Sep 2008 10:48:29 +0300
Source: libthread-pool-simple-perl
Binary: libthread-pool-simple-perl
Architecture: source all
Version: 0.23-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libthread-pool-simple-perl - A simple thread-pool implementation
Closes: 497693
Changes: 
 libthread-pool-simple-perl (0.23-3) unstable; urgency=medium
 .
   * debian/rules: move test suite from install to build targets.
     Fixes a FTBFS on architectures using fakeroot to run the install target
     Closes: #497693
   * add myself to Uploaders
Checksums-Sha1: 
 0233da97232ff962dbd8a60b2926cb298559d8b3 1486 libthread-pool-simple-perl_0.23-3.dsc
 f07e3c914923ec6599f63a4daf0b957429121c5f 2284 libthread-pool-simple-perl_0.23-3.diff.gz
 6cb03b7e8dbed843b94be5d15d45ef37a262deff 8736 libthread-pool-simple-perl_0.23-3_all.deb
Checksums-Sha256: 
 bdbe9ec06f2951447a802b58009e05326eba1bee9676251d4f7f88ced4fedfb4 1486 libthread-pool-simple-perl_0.23-3.dsc
 48a2623578586e9a97471221f36b30312449346a14d728dd4c2a3aefe8f13135 2284 libthread-pool-simple-perl_0.23-3.diff.gz
 3bb99b9b1c9fcc21136650b8dcc70fdcc772c0cfa2fe726ff6688ae039c0be88 8736 libthread-pool-simple-perl_0.23-3_all.deb
Files: 
 e74363beb9371701845dddf2f296b6c9 1486 perl optional libthread-pool-simple-perl_0.23-3.dsc
 d70afbefab6168bcc07f3d6f04b673b6 2284 perl optional libthread-pool-simple-perl_0.23-3.diff.gz
 7acee1f7bdc212fa650a488ed85cde28 8736 perl optional libthread-pool-simple-perl_0.23-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAki/kwMACgkQHqjlqpcl9jsp4gCbBdYFc/iUp+E63brDREU4yecx
u+kAni8O8JJabAN/taXY6/QbZfXwYMnw
=8s4Q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Oct 2008 07:31:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:30:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.